Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 2915)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 2916)
@@ -47,23 +47,23 @@
  *
  */
 public class CoocPreferencePage extends TXMPreferencePage {
-
-
+	
+	
 	@Override
 	public void createFieldEditors() {
-
+		
 		/** The scoreformatfield. */
 		StringFieldEditor scoreformatfield = new StringFieldEditor(CooccurrencePreferences.SCORE_FORMAT, CooccurrenceUIMessages.scoreFormatDefault00000E00, getFieldEditorParent());
 		scoreformatfield.setTextLimit(15);
-
+		
 		/** The minfreqfield. */
 		IntegerFieldEditor minfreqfield = new IntegerFieldEditor(TXMPreferences.F_MIN, CooccurrenceUIMessages.minimumFrequencyThresholdOfTheCooccurrent, getFieldEditorParent());
-		minfreqfield.setValidRange(0, 9999999);
-
+		minfreqfield.setValidRange(0, Integer.MAX_VALUE);
+		
 		/** The mincountfield. */
 		IntegerFieldEditor mincountfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_COUNT, CooccurrenceUIMessages.minimumCooccurrencyCountThreshold, getFieldEditorParent());
-		mincountfield.setValidRange(0, 9999999);
-
+		mincountfield.setValidRange(0, Integer.MAX_VALUE);
+		
 		/** The minscorefield. */
 		DoubleFieldEditor minscorefield = new DoubleFieldEditor(CooccurrencePreferences.MIN_SCORE, CooccurrenceUIMessages.minimumCooccurrencyScoreThreshold, getFieldEditorParent());
 		minscorefield.setTextLimit(15);
@@ -80,8 +80,8 @@
 		IntegerFieldEditor maxrightfield = new IntegerFieldEditor(CooccurrencePreferences.MAX_RIGHT, CooccurrenceUIMessages.maximumRight, getFieldEditorParent());
 		maxrightfield.setValidRange(0, 99999);
 		
-		BooleanFieldEditor partiallexicaltablefield =  new BooleanFieldEditor(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrenceUIMessages.usePartialLexicalTable, getFieldEditorParent());
-
+		BooleanFieldEditor partiallexicaltablefield = new BooleanFieldEditor(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrenceUIMessages.usePartialLexicalTable, getFieldEditorParent());
+		
 		addField(scoreformatfield);
 		addField(minfreqfield);
 		addField(mincountfield);
@@ -92,16 +92,16 @@
 		addField(maxrightfield);
 		addField(partiallexicaltablefield);
 	}
-
 	
-
+	
+	
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(CooccurrencePreferences.getInstance().getPreferencesNodeQualifier()));
-		//setDescription("Cooccurrences");
+		// setDescription("Cooccurrences");
 		this.setTitle(CooccurrenceUIMessages.cooccurrences);
 		this.setImageDescriptor(CooccurrenceAdapterFactory.ICON);
 	}
 	
-
-}
\ No newline at end of file
+	
+}
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 2915)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 2916)
@@ -542,7 +542,7 @@
 	public void toTxt(Writer writer, int from, int to, String colseparator, String txtseparator)
 			throws CqiClientException, IOException {
 		try {
-			getLines(0, 9999999);
+			getLines(0, Integer.MAX_VALUE);
 			writer.write(pProperty.getName() + colseparator + this.pPattern + "\n"); //$NON-NLS-1$
 			for (Line line : lines) {
 				writer.write(txtseparator + line.getPropValue().replace(txtseparator, txtseparator + txtseparator) + txtseparator + colseparator + txtseparator + line.getReferences().toString()
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2915)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2916)
@@ -83,7 +83,7 @@
 	protected int Fmax = 0;
 	
 	/** The current Fmin value. */
-	protected int Fmin = 9999999;
+	protected int Fmin = Integer.MAX_VALUE;
 	
 	/** The current lines. */
 	protected List<Line> lines = new ArrayList<>();
@@ -1153,77 +1153,75 @@
 	
 	/** The novoc. */
 	protected static int novoc = 1;
-
+	
 	/** The prefix r. */
 	protected static String prefixR = "Index"; //$NON-NLS-1$
-
+	
 	/**
 	 * As r matrix.
 	 *
 	 * TODO MD: restore the asRMatrix method used by the execR&co macros as demonstration
-	 * TODO MD: finalize a export to R mechanism (maybe linked to the export engines to be implemented 
+	 * TODO MD: finalize a export to R mechanism (maybe linked to the export engines to be implemented
 	 *
 	 * @return the string
 	 * @throws RWorkspaceException the r workspace exception
 	 */
 	public String asRMatrix() throws RWorkspaceException {
-		String symbol = prefixR+novoc;
-
-		ArrayList<String> colnames = new ArrayList<String>();
-		ArrayList<String> partnames = new ArrayList<String>();
+		String symbol = prefixR + novoc;
+		
+		ArrayList<String> colnames = new ArrayList<>();
+		ArrayList<String> partnames = new ArrayList<>();
 		partnames.add(this.getCorpus().getName());
 		
 		colnames.add("F"); //$NON-NLS-1$
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				colnames.add(partnames.get(j)); 
-
-		//System.out.println("cols: "+colnames);
-
+			colnames.add(partnames.get(j));
+		
+		// System.out.println("cols: "+colnames);
+		
 		String[] keywords = new String[this.lines.size()];
-
+		
 		int[] freq = new int[this.lines.size()];
-		ArrayList<int[]> partfreqs = new ArrayList<int[]>(partnames.size());
+		ArrayList<int[]> partfreqs = new ArrayList<>(partnames.size());
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				partfreqs.add(new int[this.lines.size()]);
-
-		for (int i = 0 ; i < lines.size() ; i++) 
-		{
+			partfreqs.add(new int[this.lines.size()]);
+		
+		for (int i = 0; i < lines.size(); i++) {
 			Line ligne = lines.get(i);
-			freq[i] = ligne.getFrequency(); 
+			freq[i] = ligne.getFrequency();
 			keywords[i] = ligne.toString();
 			if (partnames.size() > 1)
-				for (int j = 0; j < partnames.size(); j++)
-				{
-					partfreqs.get(j)[i] = ligne.getFrequency(j);
+				for (int j = 0; j < partnames.size(); j++) {
+				partfreqs.get(j)[i] = ligne.getFrequency(j);
 				}
-
+				
 		}
-
+		
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				rw.addVectorToWorkspace("vocpartfreqs"+j, partfreqs.get(j)); //$NON-NLS-1$
+			rw.addVectorToWorkspace("vocpartfreqs" + j, partfreqs.get(j)); //$NON-NLS-1$
 		rw.addVectorToWorkspace("vocfreq", freq); //$NON-NLS-1$
 		rw.addVectorToWorkspace("vockeywords", keywords); //$NON-NLS-1$
 		rw.addVectorToWorkspace("voccolnames", colnames.toArray(new String[colnames.size()])); //$NON-NLS-1$
-
+		
 		int ncol = 1;
 		if (partnames.size() > 1)
 			ncol += partnames.size();
-
+		
 		int nrow = lines.size();
 		String partscmd = ""; //$NON-NLS-1$
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				partscmd +=", vocpartfreqs"+j; //$NON-NLS-1$
-
-		rw.eval(symbol+ "<- matrix(data = c(vocfreq"+partscmd+"), nrow = "+nrow+", ncol = "+ncol+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-		rw.eval("colnames("+symbol+" ) <- voccolnames"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.eval("rownames("+symbol+" ) <- vockeywords"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.eval(symbol+ "<- list(data="+symbol+")"); //$NON-NLS-1$ //$NON-NLS-2$
-
+			partscmd += ", vocpartfreqs" + j; //$NON-NLS-1$
+			
+		rw.eval(symbol + "<- matrix(data = c(vocfreq" + partscmd + "), nrow = " + nrow + ", ncol = " + ncol + ")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		rw.eval("colnames(" + symbol + " ) <- voccolnames"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.eval("rownames(" + symbol + " ) <- vockeywords"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.eval(symbol + "<- list(data=" + symbol + ")"); //$NON-NLS-1$ //$NON-NLS-2$
+		
 		novoc++;
 		return symbol;
 	}
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 2915)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 2916)
@@ -86,7 +86,7 @@
 	@Override
 	public boolean loadParameters() {
 		try {
-			this.fMin = 999999999;
+			this.fMin = Integer.MAX_VALUE;
 			this.fMax = 0;
 			StructuralUnit su = this.getCorpus().getStructuralUnit(this.getStringParameterValue(TextsBalancePreferences.STRUCTURAL_UNIT));
 			this.setParameters(su, su.getProperty(this.getStringParameterValue(TextsBalancePreferences.STRUCTURAL_UNIT_PROPERTY)));
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java	(revision 2915)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java	(revision 2916)
@@ -51,10 +51,10 @@
 	public void createFieldEditors() {
 		
 		IntegerFieldEditor fmin = new IntegerFieldEditor(TXMPreferences.F_MIN, TXMCoreMessages.common_lowestFrequency, this.getFieldEditorParent());
-		fmin.setValidRange(1, 999999999);
+		fmin.setValidRange(1, Integer.MAX_VALUE);
 		
 		IntegerFieldEditor vmax = new IntegerFieldEditor(TXMPreferences.V_MAX, TXMCoreMessages.common_numberOfLines, this.getFieldEditorParent());
-		vmax.setValidRange(1, 999999999);
+		vmax.setValidRange(1, Integer.MAX_VALUE);
 		
 		this.addField(fmin);
 		this.addField(vmax);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 2915)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 2916)
@@ -190,9 +190,9 @@
 		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		maxlinesSpinner = new Spinner(composite, SWT.BORDER);
 		maxlinesSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-		maxlinesSpinner.setMaximum(9999999);
+		maxlinesSpinner.setMaximum(Integer.MAX_VALUE);
 		maxlinesSpinner.setMinimum(1);
-		maxlinesSpinner.setSelection(9999999);
+		maxlinesSpinner.setSelection(Integer.MAX_VALUE);
 		maxlinesSpinner.setSelection(vmax);
 		
 		fminLabel = new Label(composite, SWT.NONE);
@@ -200,7 +200,7 @@
 		fminLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		fminSpinner = new Spinner(composite, SWT.BORDER);
 		fminSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-		fminSpinner.setMaximum(9999999);
+		fminSpinner.setMaximum(Integer.MAX_VALUE);
 		fminSpinner.setMinimum(1);
 		fminSpinner.setSelection(fmin);
 		
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 2915)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 2916)
@@ -50,27 +50,27 @@
  * @author sjacquot
  */
 public class ComputeSpecifities extends BaseAbstractHandler {
-
-
+	
+	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
+		
 		if (!this.checkStatsEngine()) {
 			return null;
 		}
-
+		
 		try {
 			Object selection = this.getCorporaViewSelectedObject(event);
 			Specificities specificities = null;
 			LexicalTable lexicalTable = null;
 			
 			// Reopening from existing result
-			if(selection instanceof Specificities)	{
+			if (selection instanceof Specificities) {
 				specificities = (Specificities) selection;
-				//lexicalTable = (LexicalTable) ((Specificities) selection).getParent();
+				// lexicalTable = (LexicalTable) ((Specificities) selection).getParent();
 			}
 			// Creating
-			else	{
+			else {
 				
 				// creating from Partition
 				if (selection instanceof Partition) {
@@ -82,27 +82,27 @@
 				}
 				// creating from Partition index
 				else if (selection instanceof PartitionIndex) {
-					lexicalTable = new LexicalTable((PartitionIndex)selection);
+					lexicalTable = new LexicalTable((PartitionIndex) selection);
 				}
 				// creating from Lexical Table
 				else if (selection instanceof LexicalTable) {
 					lexicalTable = (LexicalTable) selection;
 				}
-	
+				
 				if (lexicalTable == null) {
 					return super.logCanNotExecuteCommand(selection);
 				}
 				specificities = new Specificities(lexicalTable);
 				
-				if(!(selection instanceof LexicalTable))	{
+				if (!(selection instanceof LexicalTable)) {
 					// show the lexical table only if the command was called from a lexical table
 					lexicalTable.setVisible(false);
 					// also change the default fmin/vmax parameters to cover whole range
 					lexicalTable.setFMinFilter(1);
-					lexicalTable.setVMaxFilter(9999999);
+					lexicalTable.setVMaxFilter(Integer.MAX_VALUE);
 				}
 			}
-
+			
 			TXMEditor.openEditor(specificities, SpecificitiesEditor.ID);
 			
 		}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/prototypes/CQPBenchmark.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/prototypes/CQPBenchmark.groovy	(revision 2915)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/prototypes/CQPBenchmark.groovy	(revision 2916)
@@ -285,7 +285,7 @@
 	// AFC PARTITION
 	print " AFC"
 	time = System.currentTimeMillis();
-	CA ca = new CA(discours_dates, word_property, 0 ,9999999)
+	CA ca = new CA(discours_dates, word_property, 0 ,Integer.MAX_VALUE)
 	ca.stepLexicalTable();
 	ca.stepSortTableLexical();
 	ca.compute()
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 2915)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 2916)
@@ -74,7 +74,7 @@
 	}
 	
 	public int getFmin() {
-		int t = 999999999;
+		int t = Integer.MAX_VALUE;
 		for (QueryIndexLine line : lines.values()) {
 			int f = line.getFrequency();
 			if (f < t) t = f;
